{
  "name": "olip-api-v2",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "pnpm": {
    "onlyBuiltDependencies": [
      "@nestjs/core",
      "bcrypt",
      "sqlite3"
    ]
  },
  "scripts": {
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\"",
    "format:check": "prettier --check \"src/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs}/**/*.ts\" --ignore-pattern \"**/*.spec.ts\" --fix ",
    "lint:test": "eslint \"{src,apps,libs,test}/**/*.spec.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json",
    "commit": "yarn lint && yarn format:check && yarn test && yarn build"
  },
  "dependencies": {
    "@fastify/compress": "^6.4.0",
    "@fastify/csrf-protection": "^6.3.0",
    "@fastify/helmet": "^11.1.1",
    "@fastify/multipart": "^8.0.0",
    "@fastify/static": "^6.11.2",
    "@nestjs/cache-manager": "^2.1.0",
    "@nestjs/common": "^10.2.7",
    "@nestjs/config": "^3.1.1",
    "@nestjs/core": "^10.2.7",
    "@nestjs/event-emitter": "^2.1.1",
    "@nestjs/jwt": "^10.1.1",
    "@nestjs/mapped-types": "^2.0.2",
    "@nestjs/platform-express": "^10.2.7",
    "@nestjs/platform-fastify": "^10.2.7",
    "@nestjs/platform-socket.io": "^10.2.7",
    "@nestjs/platform-ws": "^10.2.7",
    "@nestjs/serve-static": "^4.0.0",
    "@nestjs/swagger": "^7.1.13",
    "@nestjs/typeorm": "^10.0.0",
    "@nestjs/websockets": "^10.2.7",
    "axios": "^1.6.7",
    "bcrypt": "^5.1.1",
    "cache-manager": "^5.2.4",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.0",
    "file-type": "16.5.4",
    "joi": "^17.11.0",
    "mime-types": "^2.1.35",
    "mkdirp": "^3.0.1",
    "ms": "3.0.0-canary.1",
    "pretty-ms": "^7.0.1",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.8.1",
    "socket.io": "^4.7.2",
    "sqlite3": "^5.1.6",
    "typeorm": "^0.3.17",
    "uuid": "^9.0.1",
    "yaml": "^2.4.5"
  },
  "devDependencies": {
    "@darraghor/eslint-plugin-nestjs-typed": "^5.0.9",
    "@nestjs/cli": "^10.1.18",
    "@nestjs/schematics": "^10.0.2",
    "@nestjs/testing": "^10.2.7",
    "@types/bcrypt": "^5.0.0",
    "@types/express": "^4.17.19",
    "@types/jest": "29.5.5",
    "@types/md5": "^2.3.5",
    "@types/mime-types": "^2.1.4",
    "@types/mkdirp": "^2.0.0",
    "@types/node": "20.8.4",
    "@types/socket.io": "^3.0.2",
    "@types/supertest": "^2.0.14",
    "@types/uuid": "^9.0.5",
    "@types/yauzl": "^2.10.1",
    "@typescript-eslint/eslint-plugin": "^6.7.5",
    "@typescript-eslint/parser": "^6.7.5",
    "eslint": "^8.51.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-prettier": "^5.0.1",
    "fastify": "^4.26.2",
    "jest": "29.7.0",
    "prettier": "^3.0.3",
    "source-map-support": "^0.5.21",
    "supertest": "^6.3.3",
    "ts-jest": "29.1.1",
    "ts-loader": "^9.5.0",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "4.2.0",
    "typescript": "^5.2.2"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "moduleNameMapper": {
      "^src/(.*)$": "<rootDir>/$1"
    },
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
